/*
 * ============================================================================
 * Licensed Materials - Property of IBM
 * Project  Zero
 *
 * (C) Copyright IBM Corp. 2007  All Rights Reserved.
 *
 * US Government Users Restricted Rights - Use, duplication or disclosure
 * restricted by GSA ADP Schedule Contract with IBM Corp.
 * ============================================================================
 */
 
def onCreate(){
	def commentJSON = zero.json.Json.decode(request.input[])
	def comment = commentJSON["comment"]
	if(comment != null || comment == ""){ // user submitted a comment with content
	    def commentId = "Comment_" + System.currentTimeMillis() // unique id for comment
    	request.headers.out.Location =  
    	    zero.core.utils.URIUtils.getRequestedUri(false) + "/" + commentId
		user.commentId = comment;
	    request.status = java.net.HttpURLConnection.HTTP_CREATED
	}
}

def onRetrieve(){
	def commentId = request.params.commentId[]
	def comment = user.commentId[];
	def result = [commentId : comment]
    request.view='JSON'
    request.json.output = result
    zero.core.views.ViewEngine.render()
}


